Subject: Re: [PATCH 9/9] powerpc: A new cache shape aux vectors

From: Segher Boessenkool <[email-masked]>
Date: Tue, 10 Jan 2017 07:15:42 -0600

On Wed, Jan 04, 2017 at 04:15:35PM +1100, Benjamin Herrenschmidt wrote:
> + * For all these fields, a value of 0 means that the information
> + * is not known.

> +	if (sets == 0)
> +		info->assoc = 0xffff;
> +	else
...

Is this correct?  A fully associative cache should be encoded as sets == 1,
if there are buggy firmwares that set it to 0 instead it should do the same
as 1 here I think?  Or is 0xffff indicating "unknown" here...  But in that
case the comment above says assoc should be 0 instead.

Segher